Bug 489081 - boot failure with fc11 kernel (unable to access logic volume)
boot failure with fc11 kernel (unable to access logic volume)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
i586 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 03:43 EST by laojiqi
Modified: 2009-03-18 22:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 22:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description laojiqi 2009-03-07 03:43:21 EST
Description of problem:
Boot loader error, not be able to access existing FC10 logic volume

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from FC10 to FC11 Alpha
2. Reboot and select boot with kernel 2.6.29.0.203.rc7.fc11.i586 from grub 
3. Got error message
Unable to access resume device /dev/VolGroup00/lLogVol01
could not find file system /dev/root

It works ok if old fc10 kernel is selected
  
Actual results:


Expected results:


Additional info:
Comment 1 Didier G 2009-03-07 05:52:52 EST
Similar problem for me but using a Sun VirtualBox 2.1.4 virtual machine :

How reproducible:
Always

Steps to Reproduce:
1/ created a new VirtualBox virtual machine
2/ install Fedora 10 from DVD in this machine
3/ test ==> OK
4/ upgrade to Fedora 11 from DVD with no change in virtual machine
5/ test ==> mount : could not find filesystem '/dev/root'
Comment 2 laojiqi 2009-03-08 17:35:23 EDT
after yum updated kernel to kernel-2.6.29-0.207.rc7.fc11.i586, it displays an warning message on mouse driver and hangs.
Comment 3 laojiqi 2009-03-14 15:41:37 EDT
boot process hangs, last showing message as

input: IMPS/2 Generic wheel mouse as /devices/platform/i8043/serio1/input/input5

kernel-2.6.29-0.237.rc7.git4.fc11.i586
grub-0.97-43.fc11.i586
Comment 4 laojiqi 2009-03-18 22:33:24 EDT
now it works with kernel 2.6.29-0.258.rc8.git2.fc11.i586
closing.

Note You need to log in before you can comment on or make changes to this bug.